---
title: "Articles by date range with optional filters."
url: "https://developer.argaam.com/apis/news-editorial-layer-api-sandbox-v1/versions/56dc3378-a7ea-4bb0-a38f-84e9d50d974b/operations/getNewsArticlesByDate"
---

> Full API specification: https://developer.argaam.com/apis/news-editorial-layer-api-sandbox-v1/versions/56dc3378-a7ea-4bb0-a38f-84e9d50d974b.md

# Articles by date range with optional filters.

`GET` `/api/v1.1/news/articles/by-date`

Operation ID: `getNewsArticlesByDate`

Calendar-driven listing: combines arbitrary date range with optional company / paging. ### Example ``` GET /api/v1.1/news/articles/by-date?languageId=2&from=2024-01-01&to=2024-01-31&stockSymbol=2222&page=1&pageSize=50 ```

## Query parameters

- `languageId` (integer, int32, optional) - Response language: `1` = English, `2` = Arabic. Defaults to `1`.
- `from` (string, optional) - Start of the date range, inclusive. Format `YYYY-MM-DD`.
- `to` (string, optional) - End of the date range, inclusive. Format `YYYY-MM-DD`.
- `stockSymbol` (string, optional) - Tadawul stock symbol of the company, e.g. `2222` (Saudi Aramco).
- `page` (integer, int32, optional) - 1-based page number. Defaults to `1`.
- `pageSize` (integer, int32, optional) - Number of records per page. Defaults to the endpoint's standard page size; large values are capped server-side.

## Responses

- `200` - Success

## OpenAPI definition

````yaml
openapi: 3.0.1
info:
  title: News & Editorial Layer API
  version: v1.1
servers:
  - url: https://api-sandbox.argaam.com
    description: Argaam API Gateway (Sandbox)
paths:
  /api/v1.1/news/articles/by-date:
    get:
      tags:
        - News
      parameters:
        - name: languageId
          in: query
          schema:
            type: integer
            format: int32
          example: 2
          description: "Response language: `1` = English, `2` = Arabic. Defaults to `1`."
        - name: from
          in: query
          schema:
            type: string
            default: ""
          example: 2024-01-01
          description: Start of the date range, inclusive. Format `YYYY-MM-DD`.
        - name: to
          in: query
          schema:
            type: string
            default: ""
          example: 2024-03-31
          description: End of the date range, inclusive. Format `YYYY-MM-DD`.
        - name: stockSymbol
          in: query
          schema:
            type: string
            default: ""
          example: "2222"
          description: Tadawul stock symbol of the company, e.g. `2222` (Saudi Aramco).
        - name: page
          in: query
          schema:
            type: integer
            format: int32
            default: 0
          example: 1
          description: 1-based page number. Defaults to `1`.
        - name: pageSize
          in: query
          schema:
            type: integer
            format: int32
            default: 0
          example: 20
          description: Number of records per page. Defaults to the endpoint's standard
            page size; large values are capped server-side.
      responses:
        "200":
          description: Success
      summary: Articles by date range with optional filters.
      description: "Calendar-driven listing: combines arbitrary date range with\r

        optional company / paging.\r

        \            \r

        ### Example\r

        ```\r

        GET
        /api/v1.1/news/articles/by-date?languageId=2&from=2024-01-01&to=2024-01\
        -31&stockSymbol=2222&page=1&pageSize=50\r

        ```"
      operationId: getNewsArticlesByDate
security:
  - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
````
